### Method

# Cogl Framebuffer allocate

#### Declaration [src]

    gboolean
    cogl_framebuffer_allocate (
      CoglFramebuffer* framebuffer
      GError** error
    )

#### Description [src]

Explicitly allocates a configured `CoglFramebuffer` allowing developers to check and handle any errors that might arise from an unsupported configuration so that fallback configurations may be tried.

Many applications don’t support any fallback options at least when they are initially developed and in that case the don’t need to use this API since Cogl will automatically allocate a framebuffer when it first gets used. The disadvantage of relying on automatic allocation is that the program will abort with an error message if there is an error during automatic allocation.

#### Return value

Type: `gboolean`

`TRUE` if there were no error allocating the framebuffer, else `FALSE`.